---
updatedAt: 2026-07-28T13:52:29.000Z
---

# Get a List of Event APIs

Use this API to get a list of event APIs that match the given parameters.<br><br><a href="https://api.solace.dev/cloud/reference/authentication">Token Permissions</a>: [ <code>event_designer:access</code> ]

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Event Portal - Designer",
    "description": "REST API Concepts\n\nSolace Event Portal provides REST APIs that you can use to manage your data in Solace Cloud. \nThe REST APIs allow you to model your event-driven architectures from your own client applications.\n\nThe following document describes the public REST APIs available for use in Event Portal 2.0. Objects created in this \nversion will not be available in Event Portal 1.0. APIs that display (Beta) in their summary are provided as-is and \nare subject to change or removal. They may not be of the quality expected for generally available APIs and have no \nguaranteed forward compatibility with the generally available version of the API.\n\n",
    "version": "2.13.2"
  },
  "servers": [
    {
      "url": "https://api.solace.cloud",
      "description": "Solace PubSub+ Cloud US EAST Region"
    },
    {
      "url": "https://api.solacecloud.com.au",
      "description": "Solace PubSub+ Cloud AU Region"
    },
    {
      "url": "https://api.solacecloud.eu",
      "description": "Solace PubSub+ Cloud EU Region"
    },
    {
      "url": "https://api.solacecloud.sg",
      "description": "Solace PubSub+ Cloud SG Region"
    }
  ],
  "security": [
    {
      "APIToken": []
    }
  ],
  "tags": [
    {
      "name": "Event APIs"
    }
  ],
  "paths": {
    "/api/v2/architecture/eventApis": {
      "get": {
        "tags": [
          "Event APIs"
        ],
        "summary": "Get a List of Event APIs",
        "description": "Use this API to get a list of event APIs that match the given parameters.<br><br><a href=\"https://api.solace.dev/cloud/reference/authentication\">Token Permissions</a>: [ <code>event_designer:access</code> ]",
        "operationId": "getEventApis",
        "parameters": [
          {
            "name": "pageSize",
            "in": "query",
            "description": "The number of event APIs to get per page.",
            "required": false,
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 20,
              "maximum": 100,
              "minimum": 1
            }
          },
          {
            "name": "pageNumber",
            "in": "query",
            "description": "The page number to get.",
            "required": false,
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 1,
              "minimum": 1
            }
          },
          {
            "name": "name",
            "in": "query",
            "description": "Name of the event API to match on.",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "ids",
            "in": "query",
            "description": "Match only event APIs with the given IDs separated by commas.",
            "required": false,
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              },
              "uniqueItems": true
            }
          },
          {
            "name": "applicationDomainId",
            "in": "query",
            "description": "Match only event APIs in the given application domain.",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "applicationDomainIds",
            "in": "query",
            "description": "Match only event APIs in the given application domains.",
            "required": false,
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              },
              "uniqueItems": true
            }
          },
          {
            "name": "eventApiVersionIds",
            "in": "query",
            "description": "Match only event APIs in the given event API version ids.",
            "required": false,
            "schema": {
              "type": "array",
              "items": {
                "type": "string"
              },
              "uniqueItems": true
            }
          },
          {
            "name": "availableWithinApplicationDomainIds",
            "in": "query",
            "description": "Additionally match any shared event APIs in any application domain.",
            "required": false,
            "schema": {
              "type": "boolean"
            }
          },
          {
            "name": "shared",
            "in": "query",
            "description": "Match only with shared or unshared event APIs.",
            "required": false,
            "schema": {
              "type": "boolean"
            }
          },
          {
            "name": "brokerType",
            "in": "query",
            "description": "Match only event APIs with the given broker type.",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "sort",
            "in": "query",
            "description": "The sorting criteria for the returned results. You can sort the results by query parameter in ascending or descending order.\nDefine the sort order using the following string: `fieldname:asc/desc` where:\n\n- `fieldname` — The field name of the query parameter to sort by.\n- `asc` — Sort the selected field name in ascending order.\n- `desc` — Sort the selected field name in descending order.\n\nIf the direction is not specified, the default is ascending.\n\nYou can use multiple query parameters to refine the sorting order.\n",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "customAttributes",
            "in": "query",
            "description": "Returns the entities that match the custom attribute filter.<br>To filter by custom attribute name and value, use the format: `customAttributes=<custom-attribute-name>==<custom-attribute-value>`. <br>To filter by custom attribute name, use the format: `customAttributes=<custom-attribute-name>`. <br>The filter supports the `AND` operator for multiple custom attribute definitions (not multiple values for a given definition). Use `;` (`semicolon`) to separate multiple queries with `AND` operation. <br>Note: the filter supports custom attribute values containing only the characters `[a-zA-Z0-9_\\-\\. ]`.",
            "required": false,
            "schema": {
              "type": "string"
            },
            "example": "color==red"
          }
        ],
        "responses": {
          "200": {
            "description": "Get a list of event APIs and the accompanying metadata.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/EventApisResponse"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "405": {
            "description": "Method Not Allowed",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "429": {
            "description": "Too Many Requests",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "501": {
            "description": "Not Implemented",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "503": {
            "description": "Service Unavailable",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "CustomAttribute": {
        "type": "object",
        "properties": {
          "customAttributeDefinitionId": {
            "type": "string",
            "example": "acb2j5k3mly"
          },
          "customAttributeDefinitionName": {
            "type": "string",
            "example": "color",
            "pattern": "a-zA-Z0-9_\\-\\."
          },
          "value": {
            "type": "string",
            "example": "red",
            "pattern": "a-zA-Z0-9_\\-\\."
          },
          "stringValues": {
            "type": "string",
            "example": "red",
            "pattern": "a-zA-Z0-9_\\-\\."
          }
        }
      },
      "ErrorResponse": {
        "type": "object",
        "discriminator": {
          "propertyName": "errorType"
        },
        "properties": {
          "message": {
            "type": "string",
            "description": "A user-friendly message that describes the error.",
            "example": "An error occurred."
          },
          "errorId": {
            "type": "string",
            "description": "The UUID (Universally Unique Identifier) that is logged with an appropriate stack trace for a WARN or ERROR log that allows support to better determine what cause the error.",
            "example": "123e4567-e89b-12d3-a456-426655440000"
          },
          "meta": {
            "type": "object",
            "additionalProperties": {},
            "example": "'object': { 'field': 'description' }"
          },
          "validationDetails": {
            "type": "object",
            "additionalProperties": {
              "type": "array",
              "items": {
                "type": "string"
              }
            },
            "description": "When applicable, these are the details of issues with the fields provided for the REST call.",
            "example": "'name': ['Not unique']"
          },
          "errorType": {
            "type": "string",
            "writeOnly": true
          }
        }
      },
      "EventApi": {
        "type": "object",
        "additionalProperties": true,
        "properties": {
          "createdTime": {
            "type": "string",
            "description": "The time the entity was created",
            "example": "2021-12-31T20:30:57.920Z",
            "readOnly": true
          },
          "updatedTime": {
            "type": "string",
            "description": "The time the entity was last updated",
            "example": "2021-12-31T20:30:57.920Z",
            "readOnly": true
          },
          "createdBy": {
            "type": "string",
            "description": "The user who created the entity",
            "example": 12345678,
            "readOnly": true
          },
          "changedBy": {
            "type": "string",
            "description": "The user who last updated the entity",
            "example": 12345678,
            "readOnly": true
          },
          "id": {
            "type": "string",
            "description": "Primary key set by the server.",
            "example": 12345,
            "readOnly": true
          },
          "name": {
            "type": "string",
            "description": "The name of the event api.",
            "example": "Apitest",
            "maxLength": 60,
            "minLength": 1
          },
          "shared": {
            "type": "boolean",
            "example": true
          },
          "applicationDomainId": {
            "type": "string",
            "example": "acb2j5k3mly"
          },
          "numberOfVersions": {
            "type": "integer",
            "format": "int32",
            "example": 3,
            "readOnly": true
          },
          "brokerType": {
            "type": "string",
            "default": "solace",
            "description": "The type of the broker used for the event API",
            "enum": [
              "kafka",
              "solace"
            ]
          },
          "customAttributes": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/CustomAttribute"
            }
          },
          "type": {
            "type": "string",
            "description": "The type of this payload, eventApi.",
            "readOnly": true
          }
        }
      },
      "EventApisResponse": {
        "type": "object",
        "properties": {
          "data": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/EventApi"
            }
          },
          "meta": {
            "$ref": "#/components/schemas/meta"
          }
        }
      },
      "InvalidNonStateReference": {
        "type": "object",
        "properties": {
          "entityId": {
            "type": "string"
          },
          "entityType": {
            "type": "string"
          }
        }
      },
      "InvalidStateReference": {
        "allOf": [
          {
            "$ref": "#/components/schemas/ErrorResponse"
          },
          {
            "type": "object",
            "properties": {
              "targetStateId": {
                "type": "string"
              },
              "inboundInvalidNonStateReferences": {
                "type": "array",
                "items": {
                  "$ref": "#/components/schemas/InvalidNonStateReference"
                }
              },
              "inboundInvalidStateReferences": {
                "type": "array",
                "items": {
                  "$ref": "#/components/schemas/InvalidStateReference"
                }
              },
              "outboundInvalidStateReferences": {
                "type": "array",
                "items": {
                  "$ref": "#/components/schemas/InvalidStateReference"
                }
              },
              "errorType": {
                "type": "string"
              }
            }
          }
        ]
      },
      "Pagination": {
        "type": "object",
        "properties": {
          "pageNumber": {
            "type": "integer",
            "format": "int32"
          },
          "count": {
            "type": "integer",
            "format": "int32"
          },
          "pageSize": {
            "type": "integer",
            "format": "int32"
          },
          "nextPage": {
            "type": "integer",
            "format": "int32"
          },
          "totalPages": {
            "type": "integer",
            "format": "int32"
          }
        }
      },
      "meta": {
        "type": "object",
        "properties": {
          "pagination": {
            "$ref": "#/components/schemas/Pagination"
          }
        }
      }
    },
    "securitySchemes": {
      "APIToken": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT"
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```